> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post resourcesgroupsviews

> Searches the Resource Groups within the schema forum of the requesting user for those
resource groups which match the criteria provided in the posted value.

The requesting User must have **at least one of the following rights** to perform this task:

This operation requires a Resource Groups Criteria value.

This operation returns a Resource Groups Results value.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /resources/groups/views
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /resources/groups/views:
    post:
      tags:
        - ResourceGroupService
      description: >-
        Searches the Resource Groups within the schema forum of the requesting
        user for those

        resource groups which match the criteria provided in the posted value.


        The requesting User must have **at least one of the following rights**
        to perform this task:


        This operation requires a Resource Groups Criteria value.


        This operation returns a Resource Groups Results value.
      operationId: searchResourceGroups
      parameters: []
      requestBody:
        description: ResourceGroupsCriteria object with search criteria valus.
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  sysidLocatorNodes:
                    - 12345
                    - 12345
                  onlyNeighborHoods: true
                  sortAscending: true
                  sysidResourceGroups:
                    - 12345
                    - 12345
                  groupName: ...
                  sysidResources:
                    - 12345
                    - 12345
                  startRow: 12345
                  maxRows: 12345
            schema:
              $ref: '#/components/schemas/ResourceGroupsCriteria'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    views:
                      - name: ...
                        neighborhood: true
                        sysidResourceGroup: 12345
                        description: ...
                        color: ...
                      - name: ...
                        neighborhood: true
                        sysidResourceGroup: 12345
                        description: ...
                        color: ...
                    count: 12345
                    nextStartRow: 12345
                    hasAdditional: true
              schema:
                $ref: '#/components/schemas/ResourceGroupsViewWrapper'
          description: |-
            ResourceGroupsResults

            com.agilquest.phoenix.shared.search.results.ResourceGroupsResults
components:
  schemas:
    ResourceGroupsCriteria:
      type: object
      title: ResourceGroupsCriteria
      required:
        - onlyNeighborHoods
        - sortAscending
      allOf:
        - $ref: '#/components/schemas/CriteriaBase'
        - properties:
            sysidLocatorNodes:
              type: array
              items:
                type: integer
            onlyNeighborHoods:
              type: boolean
            sortAscending:
              type: boolean
            sysidResourceGroups:
              type: array
              items:
                type: integer
            groupName:
              type: string
            sysidResources:
              type: array
              items:
                type: integer
      example:
        sysidLocatorNodes:
          - 12345
          - 12345
        onlyNeighborHoods: true
        sortAscending: true
        sysidResourceGroups:
          - 12345
          - 12345
        groupName: ...
        sysidResources:
          - 12345
          - 12345
        startRow: 12345
        maxRows: 12345
    ResourceGroupsViewWrapper:
      type: object
      title: ResourceGroupsViewWrapper
      required:
        - count
        - nextStartRow
        - hasAdditional
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            views:
              type: array
              items:
                $ref: '#/components/schemas/ResourceGroupView'
            count:
              type: integer
              format: int32
            nextStartRow:
              type: integer
              format: int32
            hasAdditional:
              type: boolean
      example:
        views:
          - name: ...
            neighborhood: true
            sysidResourceGroup: 12345
            description: ...
            color: ...
          - name: ...
            neighborhood: true
            sysidResourceGroup: 12345
            description: ...
            color: ...
        count: 12345
        nextStartRow: 12345
        hasAdditional: true
    CriteriaBase:
      type: object
      title: CriteriaBase
      required:
        - startRow
        - maxRows
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startRow:
              type: integer
              format: int32
            maxRows:
              type: integer
              format: int32
      example:
        startRow: 12345
        maxRows: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    ResourceGroupView:
      type: object
      title: ResourceGroupView
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            name:
              type: string
            neighborhood:
              type: boolean
            sysidResourceGroup:
              type: integer
              format: int32
            description:
              type: string
            color:
              type: string
      example:
        name: ...
        neighborhood: true
        sysidResourceGroup: 12345
        description: ...
        color: ...
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}

````